###!/opt/epics/modules/environment/1.8.0/3.14.12.5/bin/centos7-x86_64/iocsh

var requireDebug 2

require sinq, local


#---------- connect to controllers
drvAsynIPPortConfigure("serial1", "localhost:60001",0,0,0)
drvAsynIPPortConfigure("serial2", "localhost:60002",0,0,0)
drvAsynIPPortConfigure("serial3", "localhost:60003",0,0,0)
EL734CreateController("mota","serial1",12);
EL734CreateController("motb","serial2",12);
EL734CreateController("motc","serial3",12);

### Motors

dbLoadRecords("asynRecord.db","P=SQ:AMOR:,R=serial1,PORT=serial1,ADDR=0,OMAX=80,IMAX=80")
dbLoadRecords("asynRecord.db","P=SQ:AMOR:,R=serial2,PORT=serial1,ADDR=0,OMAX=80,IMAX=80")
dbLoadRecords("asynRecord.db","P=SQ:AMOR:,R=serial3,PORT=serial1,ADDR=0,OMAX=80,IMAX=80")

dbLoadTemplate "mota.substitutions"
dbLoadTemplate "motb.substitutions"
dbLoadTemplate "motc.substitutions"


#--------- load EL737 counter box
drvAsynIPPortConfigure("cter1","localhost:62000",0,0,0)
dbLoadRecords("asynRecord.db","P=SQ:AMOR:,R=cter1,PORT=cter1,ADDR=0,OMAX=80,IMAX=80")
dbLoadRecords("el737Record.db")

#asynSetTraceIOMask("cter1",0,2)

#----------- load Magnets
drvAsynIPPortConfigure("slsvme", "localhost:60066",0,0,0)
#drvAsynIPPortConfigure("slsvme", "localhost:8080",0,0,0)

dbLoadRecords("asynRecord.db","P=SQ:AMOR:,R=slsvme,PORT=slsvme,ADDR=0,OMAX=80,IMAX=80")

epicsEnvSet ("STREAM_PROTOCOL_PATH", "$(TOP)/db:.")

dbLoadRecords("slsvme.db","PREFIX=SQ:AMOR:PBY:,NO=1")
dbLoadRecords("slsvme.db","PREFIX=SQ:AMOR:FMA:,NO=2")
dbLoadRecords("slsvme.db","PREFIX=SQ:AMOR:ABY:,NO=3")

#-------------- load SPS
drvAsynIPPortConfigure("sps1", "localhost:60077",0,0,0)
dbLoadRecords("asynRecord.db","P=SQ:AMOR:,R=spsdirect,PORT=sps1,ADDR=0,OMAX=80,IMAX=80")
dbLoadRecords("spsamor.db","PREFIX=SQ:AMOR:SPS1:")

#------------- Load dimetix distance measurement device
drvAsynIPPortConfigure("dimetix", "localhost:60088",0,0,0)
dbLoadRecords("asynRecord.db","P=SQ:AMOR:,R=dimetixdirect,PORT=dimetix,ADDR=0,OMAX=80,IMAX=80")
dbLoadRecords("dimetix.db","PREFIX=SQ:AMOR:DIMETIX:")



iocInit

## Start any sequence programs
#seq sncxxx,"user=koenneckeHost"
