#!../../bin/linux-x86-debug/sinqEPICS


## You may have to change sinqEPICS to something else
## everywhere it appears in this file

< envPaths

cd ${TOP}


epicsEnvSet("STREAM_PROTOCOL_PATH", "$(LAKESHORE336)/protocol/")

## Register all support components
dbLoadDatabase "dbd/sinqEPICS.dbd"
#dbLoadDatabase "dbd/sinq.dbd"
sinqEPICS_registerRecordDeviceDriver pdbbase


#---------- 
drvAsynIPPortConfigure("serial1", "localhost:2020",0,0,0)

dbLoadRecords("$(ASYN)/db/asynRecord.db","P=KM36:,R=serial1,PORT=serial1,ADDR=0,OMAX=80,IMAX=80")

cd ${TOP}/iocBoot/${IOC}
# The db file had to be generated from the lakeshore.substitutions file using the command:
# msi  -I/usr/local/epics/db -I/usr/local/epics/support/asyn-4-18/db -I/usr/local/epics/support/lakeshore336/db 
# -I/usr/local/epics/support/devIocStats-3-1-7/db -I/usr/local/epics/db -Slakeshore.substitutions  > lakeshore.db
# The substitutions file uses constructs which are only understood by msi but not from dbLoadTemplate
#dbLoadTemplate "lakeshore.substitutions"
dbLoadRecords("lakeshore.db")

#-----------------------------------------------------------------------------------
# Getting this to work cost some pain:
#
# See the note above about translating the template with msi.
# 
# The first was that stream device failed to include the AsynDriverInterface. I had 
# to manually hack the Makefile to get this in. There must be a better way but I do 
# not know it.
#
# Undocumented, but true: this requires the busy record to be available, had to be added 
# too
#
# The next thing is that the LS366 simulator uses \r as terminator and not \r\n as 
# asked for in the protocol file. I had to chnage ls366.protocol to account for this. 
# I am not sure if this problem is a protocol problem or a simulator issue
#
# Definitly a simulator issue is that the simulator does not implement some commands. 
# Which causes error messages. 
#-----------------------------------------------------------------------------------

iocInit

## Start any sequence programs
#seq sncxxx,"user=koenneckeHost"
