/*
  This class contains the necessary changes to have an additional text fields for messages
  with each axis.

  Code lifted from Torsten Boegershausen ESS code.

  Mark Koennecke, March 2017
*/

#include "SINQController.h"
#include "asynMotorController.h"

SINQController::SINQController(const char *portName, const char *SINQPortName, int numAxes)
  :  asynMotorController(portName, numAxes+1, NUM_MOTOR_DRIVER_PARAMS+2,
                         0, // No additional interfaces beyond those in base class
                         0, // No additional callback interfaces beyond those in base class
                         ASYN_CANBLOCK | ASYN_MULTIDEVICE, 
                         1, // autoconnect
                         0, 0)  // Default priority and stack size
{
  createParam(motorMessageIsFromDriverString,    asynParamInt32,      &motorMessageIsFromDriver_);
  createParam(motorMessageTextString,            asynParamOctet,      &motorMessageText_);
}


